stages:
  - build
compile:
  image:
    name: pandoc/latex
    entrypoint: ["/bin/sh", "-c"]
  stage: build
  script:
    - tlmgr update --self
    - tlmgr install roboto fontaxes sectsty
    - cd examples-and-design-elements
    - pandoc simple-document.md -o simple-document.pdf -M documentclass=../tex/otfndoc
  artifacts:
    paths:
      - "examples-and-design-elements/simple-document.pdf"
    expire_in: 1 week
